[arch-commits] Commit in python-zope-configuration/repos (2 files)

Evangelos Foutras foutrelis at archlinux.org
Mon Nov 9 20:20:21 UTC 2020


    Date: Monday, November 9, 2020 @ 20:20:21
  Author: foutrelis
Revision: 748201

archrelease: copy trunk to community-staging-any

Added:
  python-zope-configuration/repos/community-staging-any/
  python-zope-configuration/repos/community-staging-any/PKGBUILD
    (from rev 748198, python-zope-configuration/trunk/PKGBUILD)

----------+
 PKGBUILD |   30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

Copied: python-zope-configuration/repos/community-staging-any/PKGBUILD (from rev 748198, python-zope-configuration/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2020-11-09 20:20:21 UTC (rev 748201)
@@ -0,0 +1,30 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-zope-configuration
+pkgver=4.4.0
+pkgrel=2
+pkgdesc="Zope Configuration Markup Language (ZCML)"
+arch=('any')
+url="https://github.com/zopefoundation/zope.configuration"
+license=('ZPL')
+depends=('python-setuptools' 'python-zope-interface' 'python-zope-schema' 'python-zope-i18nmessageid')
+checkdepends=('python-manuel' 'python-zope-testing' 'python-zope-testrunner')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/zopefoundation/zope.configuration/archive/$pkgver.tar.gz")
+sha512sums=('4977a26ac22ef39b7f628f5df7c3a3eac4d63633737651e78b95dc4d61e0591e76f8399173acff5265e22f6a7dfa9dc6abc5306185b8de03a28286576d61f247')
+
+build() {
+  cd "$srcdir"/zope.configuration-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd "$srcdir"/zope.configuration-$pkgver
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python -m zope.testrunner --test-path=src || echo "Tests failed"
+}
+
+package() {
+  cd "$srcdir"/zope.configuration-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list